Issue a template project Git credential
Exchanges the caller's Samva authorization for a one-hour, repository-scoped Artifact Git credential.
Exchanges the caller's Samva authorization for a one-hour, repository-scoped Artifact Git credential.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
scope*string
Value in
- "read"
- "write"
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/templates/string/repository/credentials" \ -H "Content-Type: application/json" \ -d '{ "scope": "read" }'{ "remote": "string", "username": "x-access-token", "password": "string", "expiresAt": "string"}Get a template publication
Returns one immutable publication and its exact build receipt. Use this endpoint to get a template publication through the Samva email API.
List templates
Returns a paginated list of the organization's templates, filterable by category, channel, status, and search, with configurable sorting.